/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "NetCDF", "index.html", [
    [ "Introduction and Overview", "index.html", "index" ],
    [ "Building the NetCDF-4.2 and later Fortran libraries", "building_netcdf_fortran.html", [
      [ "Building with shared libraries", "building_netcdf_fortran.html#building_fortran_shared_libraries", null ],
      [ "Building with static libraries", "building_netcdf_fortran.html#building_fortran_with_static_libraries", null ],
      [ "Linking your programs with netCDF Fortran libraries", "building_netcdf_fortran.html#linking_against_netcdf_fortran", null ],
      [ "Specifying The Environment for Building", "building_netcdf_fortran.html#specify_build_env_fortran", [
        [ "Environment Variable Description Notes", "building_netcdf_fortran.html#autotoc_md101", null ]
      ] ]
    ] ],
    [ "Installing and Using netCDF-C Libraries in Windows", "winbin.html", [
      [ "Getting pre-built netCDF-C Libraries for Visual Studio", "winbin.html#msvc-prebuilt", [
        [ "Included Dependencies", "winbin.html#msvc-inc-deps", null ],
        [ "Latest Release (netCDF-C 4.9.3)", "winbin.html#msvc-latest-release", null ]
      ] ],
      [ "Using the netCDF-C Libraries with Visual Studio", "winbin.html#msvc-using", [
        [ "Install Hierarchy", "winbin.html#msvc-install-hierarchy", null ]
      ] ],
      [ "Notes", "winbin.html#msvc-notes", null ]
    ] ],
    [ "NetCDF In-Memory Support", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html", [
      [ "NetCDF In-Memory Support", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#inmemory", [
        [ "Introduction", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#inmemory_intro", null ],
        [ "Enabling Diskless File Access", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#Enable_Diskless", [
          [ "Diskless File Open", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#autotoc_md102", null ],
          [ "Diskless File Create", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#autotoc_md103", null ]
        ] ],
        [ "Enabling Inmemory File Access", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#Enable_Inmemory", [
          [ "In-Memory API", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#autotoc_md104", null ],
          [ "The <strong>nc_open_mem</strong> Function", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#autotoc_md105", null ],
          [ "The <strong>nc_open_memio</strong> Function", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#autotoc_md106", null ],
          [ "The <strong>nc_create_mem</strong> Function", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#autotoc_md107", null ],
          [ "The <strong>nc_close_memio</strong> Function", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#autotoc_md108", null ],
          [ "Support for Writing with <em>NC_MEMIO_LOCKED</em>", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#autotoc_md109", null ]
        ] ],
        [ "Enabling MMAP File Access", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#Enable_MMAP", null ],
        [ "Known Bugs", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#Inmemory_Bugs", null ],
        [ "References", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#Inmemory_References", null ],
        [ "Point of Contact", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2inmemory.html#autotoc_md110", null ]
      ] ]
    ] ],
    [ "NetCDF Byterange Support", "netcdf_byterange.html", [
      [ "Introduction", "netcdf_byterange.html#byterange_intro", null ],
      [ "Configuration", "netcdf_byterange.html#byterange_config", null ],
      [ "Run-time Usage", "netcdf_byterange.html#byterange_url", null ],
      [ "Architecture", "netcdf_byterange.html#byterange_arch", [
        [ "NetCDF Classic Access", "netcdf_byterange.html#autotoc_md111", null ],
        [ "NetCDF Enhanced Access", "netcdf_byterange.html#autotoc_md112", [
          [ "Non-Cloud Access", "netcdf_byterange.html#autotoc_md113", [
            [ "The dhttp.c Code", "netcdf_byterange.html#byterange_dhttp", null ],
            [ "nc_http_read", "netcdf_byterange.html#autotoc_md115", null ],
            [ "nc_http_close", "netcdf_byterange.html#autotoc_md116", null ]
          ] ],
          [ "Cloud Access", "netcdf_byterange.html#autotoc_md117", null ]
        ] ]
      ] ],
      [ "Point of Contact", "netcdf_byterange.html#byterange_poc", null ]
    ] ],
    [ "NetCDF Authorization Support", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html", [
      [ "Introduction", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#auth", null ],
      [ "URL-Based Authentication", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#auth_url", null ],
      [ "RC File Authentication", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#auth_dodsrc", null ],
      [ "Authorization-Related Keys", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#auth_keys", [
        [ "Password Authentication", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#autotoc_md118", null ],
        [ "Cookie Jar", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#autotoc_md119", null ],
        [ "Certificate Authentication", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#autotoc_md120", null ]
      ] ],
      [ "Password Escaping", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#auth_userpwdescape", null ],
      [ "Redirection-Based Authentication", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#auth_redir", [
        [ "Accessing <em>earthdata.nasa.gov</em>", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#autotoc_md121", [
          [ "*.ncrc* File", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#autotoc_md122", null ],
          [ "*.netrc* File", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#autotoc_md123", null ]
        ] ]
      ] ],
      [ "Client-Side Certificates", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#auth_clientcerts", null ],
      [ "References", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#autotoc_md124", null ],
      [ "Authorization Appendix A. All RC-File Keys", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#auth_allkeys", null ],
      [ "Authorization Appendix B. URS Access in Detail", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#auth_ursdetail", null ],
      [ "Authorization Appendix C. ESG Access in Detail", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#auth_esgdetail", [
        [ "Terminology", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#autotoc_md125", null ],
        [ "Initial Steps", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#autotoc_md126", null ],
        [ "Building the KeyStore", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#autotoc_md127", null ],
        [ "Building the TrustStore", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#autotoc_md128", null ],
        [ "Running the C Client", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#autotoc_md129", null ],
        [ "Script for creating Stores", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#autotoc_md130", null ]
      ] ],
      [ "Point of Contact", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2auth.html#autotoc_md131", null ]
    ] ],
    [ "The NetCDF NCZarr Implementation", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html", [
      [ "The NetCDF NCZarr Implementation", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_head", null ],
      [ "NCZarr Introduction", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_introduction", null ],
      [ "The NCZarr Data Model", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_data_model", null ],
      [ "Enabling NCZarr Support", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_enable", null ],
      [ "Accessing Data Using the NCZarr Prototocol", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_accessing_data", [
        [ "URL Format", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md132", null ],
        [ "Client Parameters", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md133", null ]
      ] ],
      [ "NCZarr Map Implementation", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_mapimpl", [
        [ "Zmap Implementatons", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md134", null ]
      ] ],
      [ "NCZarr versus Pure Zarr.", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_purezarr", null ],
      [ "Notes on Debugging NCZarr Access", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_debug", null ],
      [ "Zip File Support", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_zip", [
        [ "Addressing Style", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md135", null ]
      ] ],
      [ "Zarr vs NCZarr", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_vs_zarr", [
        [ "Data Model", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md136", null ],
        [ "Storage Medium", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md137", null ],
        [ "Translation", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_translation", null ]
      ] ],
      [ "Compatibility", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_compatibility", [
        [ "XArray", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md138", null ]
      ] ],
      [ "Examples", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_examples", null ],
      [ "Appendix A. Building NCZarr Support", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_build", [
        [ "Automake", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md139", null ],
        [ "CMake", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md140", null ],
        [ "Testing NCZarr S3 Support", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_testing_S3_support", [
          [ "NetCDF Build", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md141", null ],
          [ "NetCDF CMake Build", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md142", null ]
        ] ]
      ] ],
      [ "Appendix B. Amazon S3 Imposed Limits", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_s3limits", null ],
      [ "Appendix C. JSON Attribute Convention.", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_json", [
        [ "Writing an attribute:", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md143", null ],
        [ "Reading an attribute:", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md144", null ],
        [ "Notes", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md145", null ]
      ] ],
      [ "Appendix D. Support for string types", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md146", null ],
      [ "References", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_bib", null ],
      [ "Change Log", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_changelog", [
        [ "03/31/2024", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md153", null ],
        [ "01/31/2024", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md154", null ],
        [ "3/10/2023", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md155", null ],
        [ "8/29/2022", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md156", null ],
        [ "8/11/2022", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#autotoc_md157", null ]
      ] ],
      [ "Point of Contact", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2nczarr.html#nczarr_poc", null ]
    ] ],
    [ "Cloud Storage Access Using The NetCDF-C Library", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html", [
      [ "Cloud Storage Access Using The NetCDF-C Library", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#nccloud_head", null ],
      [ "Introduction", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#nccloud_introduction", null ],
      [ "S3 Use-Cases in NetCDF-C", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md158", null ],
      [ "Amazon S3 Storage Access Mechanisms", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#nccloud_s3_sdks", [
        [ "Byte-Range Access", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#nccloud_byterange", null ]
      ] ],
      [ "References", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#nccloud_bib", null ],
      [ "Appendix A. S3 Build Support", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#nccloud_s3build", [
        [ "Automake", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md159", null ],
        [ "CMake", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#nccloud_cmake", null ]
      ] ],
      [ "Appendix B. Building the S3 SDKs", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#nccloud_s3sdk", [
        [ "Building <em>H5FDros3</em>", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md160", null ],
        [ "Building <em>aws-sdk-cpp</em>", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md161", [
          [ "**nix** Build", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md162", [
            [ "AWS-SDK-CPP CMake Build Recipe", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md163", null ]
          ] ],
          [ "Windows build", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md164", [
            [ "AWS-SDK-CPP Build Recipe", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md165", null ]
          ] ]
        ] ],
        [ "Building `‘nch5s3comms’'", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md166", [
          [ "Dependencies", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md167", null ],
          [ "Build Options", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md168", null ],
          [ "Testing S3 Support", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#nccloud_testing_S3_support", null ]
        ] ]
      ] ],
      [ "Appendix C. AWS Selection Algorithms.", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#nccloud_awsselect", [
        [ "Profile Selection", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md169", null ],
        [ "Region Selection", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md170", null ],
        [ "Authorization Selection", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md171", null ]
      ] ],
      [ "Change Log", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#nccloud_changelog", [
        [ "3/8/2023", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#autotoc_md172", null ]
      ] ],
      [ "Point of Contact", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2cloud.html#nccloud_poc", null ]
    ] ],
    [ "NetCDF Programming Notes", "programming_notes.html", [
      [ "Ignored if NULL", "programming_notes.html#ignored_if_null", null ],
      [ "Allocating Storage for the Result", "programming_notes.html#allocating_storage_for_the_result", null ],
      [ "Specify a Hyperslab", "programming_notes.html#specify_hyperslab", [
        [ "A Vector Specifying Start Index for Each Dimension", "programming_notes.html#start_vector", null ],
        [ "A Vector Specifying Count for Each Dimension", "programming_notes.html#count_vector", null ],
        [ "A Vector Specifying Stride for Each Dimension", "programming_notes.html#stride_vector", null ],
        [ "A Vector Specifying Mapping for Each Dimension", "programming_notes.html#map_vector", null ]
      ] ],
      [ "NetCDF ID", "programming_notes.html#ncid", null ],
      [ "NetCDF Names", "programming_notes.html#object_name", [
        [ "Permitted Characters in NetCDF Names", "programming_notes.html#autotoc_md173", null ],
        [ "Name Length", "programming_notes.html#autotoc_md174", null ],
        [ "NetCDF Conventions", "programming_notes.html#autotoc_md175", null ]
      ] ]
    ] ],
    [ "Build Instructions for NetCDF-C using CMake", "netCDF-CMake.html", [
      [ "Overview", "netCDF-CMake.html#cmake_overview", null ],
      [ "Requirements", "netCDF-CMake.html#cmake_requirements", null ],
      [ "The CMake Build Process", "netCDF-CMake.html#cmake_build", [
        [ "Configuration", "netCDF-CMake.html#cmake_configuration", [
          [ "Common CMake Options", "netCDF-CMake.html#cmake_common_options", null ],
          [ "Configuring your build from the command line.", "netCDF-CMake.html#cmake_command_line", [
            [ "Building with Parallel I/O.", "netCDF-CMake.html#cmake_parallel_io", null ]
          ] ]
        ] ],
        [ "Building", "netCDF-CMake.html#cmake_building", null ],
        [ "Testing", "netCDF-CMake.html#cmake_testing", null ],
        [ "Installation", "netCDF-CMake.html#cmake_installation", null ]
      ] ],
      [ "See Also", "netCDF-CMake.html#cmake_see_also", null ]
    ] ],
    [ "FAQ", "faq.html", [
      [ "General", "faq.html#ncFAQGeneral", [
        [ "What Is netCDF?", "faq.html#What-Is-netCDF", null ],
        [ "How do I get the netCDF software package?", "faq.html#HowdoIgetthenetCDFsoftwarepackage", null ],
        [ "How do I convert netCDF data to ASCII or text?", "faq.html#How-do-I-convert-netCDF-data-to-ASCII-or-text", null ],
        [ "How do I convert ASCII or text data to netCDF?", "faq.html#How-do-I-convert-ASCII-or-text-data-to-netCDF", null ],
        [ "What is the best way to represent [some particular data] using netCDF?", "faq.html#What-is-the-best-way-to-represent-some-particular-data-using-netCDF", null ],
        [ "What convention should be used for the names of netCDF files?", "faq.html#What-convention-should-be-used-for-the-names-of-netCDF-files", null ],
        [ "Is there a mailing list for netCDF discussions and questions?", "faq.html#Is-there-a-mailing-list-for-netCDF-discussions-and-questions", null ],
        [ "Where are some examples of netCDF datasets?", "faq.html#Where-are-some-examples-of-netCDF-datasets", null ],
        [ "What is the best way to handle time using netCDF?", "faq.html#What-is-the-best-way-to-handle-time-using-netCDF", null ],
        [ "Who else uses netCDF?", "faq.html#Who-else-uses-netCDF", null ],
        [ "What are some references to netCDF?", "faq.html#What-are-some-references-to-netCDF", null ],
        [ "I'm submitting a paper for publication and want to include a citation for use of netCDF software. What reference should I use?", "faq.html#How-should-I-cite-use-of-netCDF-software", null ],
        [ "Is there a document describing the actual physical format for a Unidata netCDF file?", "faq.html#Is-there-a-document-describing-the-actual-physical-format-for-a-Unidata-netCDF-file", null ]
      ] ],
      [ "Installation and Porting", "faq.html#Installation-and-Porting", [
        [ "What does netCDF run on?", "faq.html#What-does-netCDF-run-on", null ],
        [ "How can I use current versions of netCDF-4 with Windows?", "faq.html#HowcanIusecu", null ],
        [ "How can I use netCDF-4.1 with Windows?", "faq.html#HowcanIusenetCDF41withWindows", null ],
        [ "How can I use netCDF-4 with Windows?", "faq.html#How-can-I-use-netCDF-4-with-Windows", null ],
        [ "How do I build and install netCDF for a specific development environment?", "faq.html#How-do-I-build-and-install-netCDF-for-a-specific-development-environment", null ],
        [ "How can I tell if I successfully built and installed netCDF?", "faq.html#How-can-I-tell-if-I-successfully-built-and-installed-netCDF", null ],
        [ "How can I tell what version I'm using?", "faq.html#How-can-I-tell-what-version-Im-using", null ],
        [ "Where does netCDF get installed?", "faq.html#Where-does-netCDF-get-installed", null ]
      ] ],
      [ "Formats, Data Models, and Software Releases", "faq.html#formatsdatamodelssoftwarereleases", [
        [ "How many netCDF formats are there, and what are the differences among them?", "faq.html#How-many-netCDF-formats-are-there-and-what-are-the-differences-among-them", null ],
        [ "How can I tell which format a netCDF file uses?", "faq.html#How-can-I-tell-which-format-a-netCDF-file-uses", null ],
        [ "How many netCDF data models are there?", "faq.html#How-many-netCDF-data-models-are-there", null ],
        [ "How many releases of the C-based netCDF software are supported?", "faq.html#How-many-releases-of-the-C-based-netCDF-software-are-supported", null ],
        [ "Should I get netCDF-3 or netCDF-4?", "faq.html#Should-I-get-netCDF-3-or-netCDF-4", null ],
        [ "What is the \"enhanced data model\" of netCDF-4, and how does it differ from the netCDF-3 classic data model?", "faq.html#whatisenhanceddatamodel", null ],
        [ "Why doesn't the new netCDF-4 installation I built seem to support any of the new features?", "faq.html#Whydoesnt-the-new-netCDF-4-installation-I-built-seem-to-support-any-of-the-new-features", null ],
        [ "Will Unidata continue to support netCDF-3?", "faq.html#Will-Unidata-continue-to-support-netCDF-3", null ],
        [ "To read compressed data, what changes do I need to make to my netCDF-3 program?", "faq.html#To-read-compressed-data-what-changes-do-I-need-to-make-to-my-netCDF-3-program", null ],
        [ "To write compressed data, what changes do I need to make to my netCDF-3 program?", "faq.html#To-write-compressed-data-what-changes-do-I-need-to-make-to-my-netCDF-3-program", null ],
        [ "If I create netCDF-4 classic model files, can they be read by IDL, MATLAB, R, Python and ArcGIS?", "faq.html#If-I-create-netCDF-4-classic-model-files-can-they-be-read-by-IDL-MATLAB-R-Python-and-ArcGIS", null ],
        [ "What applications are able to deal with <em>arbitrary</em> netCDF-4 files?", "faq.html#What-applications-are-able-to-deal-with-arbitrary-netCDF-4-files", null ],
        [ "How can I convert netCDF-3 files into netCDF-4 files?", "faq.html#How-can-I-convert-netCDF-3-files-into-netCDF-4-files", null ],
        [ "Why might someone want to convert netCDF-4 files into netCDF-3 files?", "faq.html#Why-might-someone-want-to-convert-netCDF-4-files-into-netCDF-3-files", null ],
        [ "How can I convert netCDF-4 files into netCDF-3 files?", "faq.html#How-can-I-convert-netCDF-4-files-into-netCDF-3-files", null ],
        [ "How can I convert HDF5 files into netCDF-4 files?", "faq.html#How-can-I-convert-HDF5-files-into-netCDF-4-files", null ],
        [ "How can I convert netCDF-4 files into HDF5 files?", "faq.html#How-can-I-convert-netCDF-4-files-into-HDF5-files", null ],
        [ "Why aren't different extensions used for the different formats, for example \".nc3\" and \".nc4\"?", "faq.html#why-arent-different-extensions-used", null ],
        [ "Why is the default of netCDF-4 to continue to create classic files, rather than netCDF-4 files?", "faq.html#Why-is-the-default-of-netCDF-4-to-continue-to-create-classic-files-rather-than-netCDF-4-files", null ],
        [ "Can netCDF-4 read arbitrary HDF5 files?", "faq.html#Can-netCDF-4-read-arbitrary-HDF5-files", null ],
        [ "I installed netCDF-3 with –enable-shared, but it looks like the libraries it installed were netCDF-4, with names like libnetcdf.4.dylib. What's going on?", "faq.html#I-installed-netCDF-3-with---enable-shared-but-it-looks-like-the-libraries-it-installed-were-netCDF-4-with-names-like-libnetcdf4dylib-Whats-going-on", null ],
        [ "NetCDF-3.6.3 permits UTF-8 encoded Unicode names. Won't this break backward compatibility with previous software releases that didn't allow such names?", "faq.html#NetCDF-363-permits-UTF-8-encoded-Unicode-names-Wont-this-break-backward-compatibility-with-previous-software-releases-that-didnt-allow-such-names", null ],
        [ "Can I use UTF-8 File Names with Windows?", "faq.html#Can-I-use-UTF-8-File-Names-with-Windows", null ],
        [ "How difficult is it to convert my application to handle arbitrary netCDF-4 files?", "faq.html#How-difficult-is-it-to-convert-my-application-to-handle-arbitrary-netCDF-4-files", null ]
      ] ],
      [ "Shared Libraries", "faq.html#Shared-Libraries", [
        [ "What are shared libraries?", "faq.html#What-are-shared-libraries", null ],
        [ "Can I build netCDF with shared libraries?", "faq.html#Can-I-build-netCDF-with-shared-libraries", null ],
        [ "How do I use netCDF shared libraries?", "faq.html#How-do-I-use-netCDF-shared-libraries", null ]
      ] ],
      [ "Large File Support", "faq.html#Large-File-Support", [
        [ "Was it possible to create netCDF files larger than 2 GiBytes before version 3.6?", "faq.html#Was-it-possible-to-create-netCDF-files-larger-than-2-GiBytes-before-version-36", null ],
        [ "What is Large File Support?", "faq.html#What-is-Large-File-Support", null ],
        [ "What does Large File Support have to do with netCDF?", "faq.html#What-does-Large-File-Support-have-to-do-with-netCDF", null ],
        [ "Do I have to know which netCDF file format variant is used in order to access or modify a netCDF file?", "faq.html#Do-I-have-to-know-which-netCDF-file-format-variant-is-used-in-order-to-access-or-modify-a-netCDF-file", null ],
        [ "Will future versions of the netCDF library continue to support accessing files in the classic format?", "faq.html#Will-future-versions-of-the-netCDF-library-continue-to-support-accessing-files-in-the-classic-format", null ],
        [ "Should I start using the new 64-bit offset format for all my netCDF files?", "faq.html#Should-I-start-using-the-new-64-bit-offset-format-for-all-my-netCDF-files", null ],
        [ "How can I tell if a netCDF file uses the classic format (CDF-1), 64-bit offset format (CDF-2) or 64-bit data format (CDF-5)?", "faq.html#How-can-I-tell-if-a-netCDF-file-uses-the-classic-format-or-64-bit-offset-format", null ],
        [ "What happens if I create a 64-bit offset format netCDF file and try to open it with an older netCDF application that hasn't been linked with netCDF 3.6?", "faq.html#What-happens-if-I-create-a-64-bit-offset-format-netCDF-file-and-try-to-open-it-with-an-older-netCDF-application-that-hasnt-been-linked-with-netCDF-36", null ],
        [ "Can I create 64-bit offset files on 32-bit platforms?", "faq.html#Can-I-create-64-bit-offset-files-on-32-bit-platforms", null ],
        [ "How do I create a 64-bit offset netCDF file from C, Fortran-77, Fortran-90, or C++?", "faq.html#How-do-I-create-a-64-bit-offset-netCDF-file-from-C-Fortran-77-Fortran-90-or-Cpp", null ],
        [ "How do I create a 64-bit offset netCDF file using the ncgen utility?", "faq.html#How-do-I-create-a-64-bit-offset-netCDF-file-using-the-ncgen-utility", null ],
        [ "Have all netCDF size limits been eliminated?", "faq.html#Have-all-netCDF-size-limits-been-eliminated", null ],
        [ "Why are variables still limited in size?", "faq.html#Why-are-variables-still-limited-in-size", null ],
        [ "How can I write variables larger than 4 GiB?", "faq.html#How-can-I-write-variables-larger-than-4-GiB", null ],
        [ "Why do I get an error message when I try to create a file larger than 2 GiB with the new library?", "faq.html#Why-do-I-get-an-error-message-when-I-try-to-create-a-file-larger-than-2-GiB-with-the-new-library", null ],
        [ "Do I need to use special compiler flags to compile and link my applications that use netCDF with Large File Support?", "faq.html#Do-I-need-to-use-special-compiler-flags-to-compile-and-link-my-applications-that-use-netCDF-with-Large-File-Support", null ],
        [ "Is it possible to create a \"classic\" format netCDF file with netCDF version 3.6.0 that cannot be accessed by applications compiled and linked against earlier versions of the library?", "faq.html#isitpossibleclassic360", null ]
      ] ],
      [ "NetCDF and Other Software", "faq.html#NetCDF-and-Other-Software", [
        [ "What other software is available for accessing, displaying, and manipulating netCDF data?", "faq.html#What-other-software-is-available-for-accessing-displaying-and-manipulating-netCDF-data", null ],
        [ "What other data access interfaces and formats are available for scientific data?", "faq.html#What-other-data-access-interfaces-and-formats-are-available-for-scientific-data", null ],
        [ "What is the connection between netCDF and CDF?", "faq.html#What-is-the-connection-between-netCDF-and-CDF", null ],
        [ "What is the connection between netCDF and HDF?", "faq.html#What-is-the-connection-between-netCDF-and-HDF", null ],
        [ "Has anyone implemented client-server access for netCDF data?", "faq.html#Has-anyone-implemented-client-server-access-for-netCDF-data", null ],
        [ "How do I convert between GRIB and netCDF?", "faq.html#How-do-I-convert-between-GRIB-and-netCDF", null ],
        [ "Problems and Bugs", "faq.html#autotoc_md221", null ],
        [ "Can I recover data from a netCDF file that was not closed properly?", "faq.html#Can-I-recover-data-from-a-netCDF-file-that-was-not-closed-properly", null ],
        [ "Is there a list of reported problems and workarounds?", "faq.html#Is-there-a-list-of-reported-problems-and-workarounds", null ],
        [ "How do I make a bug report?", "faq.html#How-do-I-make-a-bug-report", null ],
        [ "How do I search through past problem reports?", "faq.html#How-do-I-search-through-past-problem-reports", null ]
      ] ],
      [ "Programming with NetCDF", "faq.html#Programming-with-NetCDF", [
        [ "Which programming languages have netCDF interfaces?", "faq.html#Which-programming-languages-have-netCDF-interfaces", null ],
        [ "Are the netCDF libraries thread-safe?", "faq.html#Are-the-netCDF-libraries-thread-safe", null ],
        [ "How does the C++ interface differ from the C interface?", "faq.html#How-does-the-Cpp-interface-differ-from-the-C-interface", null ],
        [ "How does the Fortran interface differ from the C interface?", "faq.html#How-does-the-Fortran-interface-differ-from-the-C-interface", null ],
        [ "How do the Java, Perl, Python, Ruby, ... interfaces differ from the C interface?", "faq.html#How-do-the-Java-Perl-Python-Ruby-interfaces-differ-from-the-C-interface", null ],
        [ "How do I handle errors in C?", "faq.html#How-do-I-handle-errors-in-C", null ]
      ] ],
      [ "CMake-Related Frequently Asked Questions", "faq.html#cmake_faq", [
        [ "How can I see the options available to CMake?", "faq.html#listoptions", null ],
        [ "How do I specify how to build a shared or static library?", "faq.html#sharedstatic", null ],
        [ "Can I build both shared and static libraries at the same time with cmake?", "faq.html#sharedstaticboth", null ],
        [ "How can I specify linking against a particular library?", "faq.html#partlib", null ],
        [ "What if I want to link against multiple libraries in a non-standard location", "faq.html#nonstdloc", null ],
        [ "How can I specify a Parallel Build using HDF5", "faq.html#parallelhdf", null ]
      ] ],
      [ "Plans", "faq.html#Plans", [
        [ "What other future work on netCDF is planned?", "faq.html#What-other-future-work-on-netCDF-is-planned", null ]
      ] ]
    ] ],
    [ "COPYRIGHT", "copyright.html", null ],
    [ "The NetCDF-C Tutorial", "tutorial_8dox.html", [
      [ "Tutorial Documentation", "tutorial_8dox.html#sec_tut", [
        [ "Tutorial Pages", "tutorial_8dox.html#tutorial_pages", null ],
        [ "Background and Further Reading", "tutorial_8dox.html#background_further_reading", null ],
        [ "NetCDF Data Model:", "tutorial_8dox.html#sub_sec_netcdf_data_model", null ],
        [ "Important Conventions:", "tutorial_8dox.html#sub_sec_important_conventions", null ],
        [ "Tools for NetCDF:", "tutorial_8dox.html#sub_sec_tools_for_netcdf", null ],
        [ "Programming with NetCDF:", "tutorial_8dox.html#sub_sec_programming_with_netcdf", null ],
        [ "Example Programs:", "tutorial_8dox.html#sub_sec_example_programs", null ]
      ] ],
      [ "Working with NetCDF Files from the command line.", "netcdf_working_with_netcdf_files.html", [
        [ "The NetCDF Utilities", "netcdf_working_with_netcdf_files.html#netcdf_utilities", [
          [ "ncdump", "netcdf_working_with_netcdf_files.html#netcdf_utilities_ncdump", null ],
          [ "ncgen", "netcdf_working_with_netcdf_files.html#netcdf_utilities_ncgen", null ],
          [ "nccopy", "netcdf_working_with_netcdf_files.html#netcdf_utilities_nccopy", null ]
        ] ],
        [ "Tools for Manipulating NetCDF Files", "netcdf_working_with_netcdf_files.html#external_netcdf_tools", null ]
      ] ],
      [ "Numbering of NetCDF IDs", "tutorial_ncids.html", null ],
      [ "Creating New Files and Metadata, an Overview", "creating.html", null ],
      [ "Reading NetCDF Files of Known Structure", "reading_known.html", null ],
      [ "Reading Classic Format NetCDF Files of Unknown Structure", "reading_unknown_classic.html", null ],
      [ "Reading NetCDF/HDF5 Format NetCDF Files of Unknown Structure", "reading_unknown_nc4.html", null ],
      [ "Reading and Writing Subsets of Data", "accessing_subsets.html", null ],
      [ "NetCDF Documentation", "netcdf_documentation.html", null ],
      [ "The NetCDF Data Model", "netcdf_data_model.html", [
        [ "The Classic Model", "netcdf_data_model.html#classic_model", null ],
        [ "The Enhanced Data Model", "netcdf_data_model.html#enhanced_model", null ],
        [ "Meteorological Example", "netcdf_data_model.html#met_example", null ]
      ] ],
      [ "Unlimited Dimensions", "unlimited_dims.html", null ],
      [ "Groups", "groups.html", null ],
      [ "User Defined Types", "user_defined_types.html", [
        [ "Compound Types", "user_defined_types.html#compound_types", null ],
        [ "Opaque Types", "user_defined_types.html#opaque_types", null ],
        [ "Variable Length Arrays (VLEN)", "user_defined_types.html#vlen_type", null ]
      ] ],
      [ "Strings", "string_type.html", null ],
      [ "Fill Values", "fill_values.html", null ],
      [ "The NetCDF Programming APIs", "netcdf_apis.html", null ],
      [ "Error Handling", "error_handling.html", null ],
      [ "Interoperability with HDF5", "interoperability_hdf5.html", [
        [ "Reading and Editing NetCDF-4 Files with HDF5", "interoperability_hdf5.html#reading_with_hdf5", null ],
        [ "Reading and Editing HDF5 Files with NetCDF-4", "interoperability_hdf5.html#accessing_hdf5", null ]
      ] ],
      [ "Parallel I/O with NetCDF-4", "parallel_io.html", [
        [ "Collective/Independent Access", "parallel_io.html#collective_independent", null ]
      ] ],
      [ "NetCDF Example Programs", "examples1.html", [
        [ "The simple_xy Example", "examples1.html#example_simple_xy", null ],
        [ "The sfc_pres_temp Example", "examples1.html#example_sfc_pres_temp", null ],
        [ "The pres_temp_4D Example", "examples1.html#example_pres_temp_4D", null ],
        [ "The simple_nc4 Example", "examples1.html#example_simple_nc4", null ],
        [ "The simple_xy_nc4 Example", "examples1.html#example_simple_xy_nc4", null ],
        [ "The filter example", "examples1.html#example_filter", null ]
      ] ]
    ] ],
    [ "Notes On the Internals of the NetCDF-C Library", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html", [
      [ "Notes On the Internals of the NetCDF-C Library", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#intern_head", null ],
      [ "1. Including C++ Code in the netcdf-c Library", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#intern_cpp", [
        [ "Modifications to <em>lib_flags.am</em>", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md233", null ],
        [ "Modifications to <em>libxxx/Makefile.am</em>", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md234", null ]
      ] ],
      [ "2. Managing instances of variable-length data types", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#intern_vlens", [
        [ "Special case reclamation functions", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md235", null ],
        [ "Typical use cases", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md236", [
          [ "<em>nc_get_vars</em>", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md237", null ],
          [ "<em>nc_put_vars</em>", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md238", null ],
          [ "<em>nc_put_att</em>", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md239", null ],
          [ "<em>nc_get_att</em>", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md240", null ]
        ] ],
        [ "New Instance Walking API", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md241", null ],
        [ "Internal Changes", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md242", null ],
        [ "Optimizations", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md243", null ],
        [ "Warnings", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md244", null ]
      ] ],
      [ "3. Inferring File Types", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#intern_infer", [
        [ "The Role of URLs", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md245", null ],
        [ "Model Inference Inputs", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md246", [
          [ "Mode", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md247", null ],
          [ "Path", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md248", null ],
          [ "File Contents", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md249", null ],
          [ "Open vs Create", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md250", null ],
          [ "Parallelism", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md251", null ]
        ] ],
        [ "Model Inference Outputs", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md252", null ],
        [ "The Inference Algorithm", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md253", [
          [ "URL processing – processuri()", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md254", null ],
          [ "Macro Processing – processmacros()", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md255", null ],
          [ "Mode Inference – processinferences()", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md256", null ],
          [ "Fragment List Normalization", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md257", null ],
          [ "S3 Rebuild", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md258", null ],
          [ "File Rebuild", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md259", null ],
          [ "Mode Key Processing", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md260", null ],
          [ "Non-Mode Key Processing", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md261", null ],
          [ "URL Defaults", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md262", null ],
          [ "Mode Flags", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md263", null ],
          [ "Content Inference – check_file_type()", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md264", null ],
          [ "Flag Consistency", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md265", null ]
        ] ]
      ] ],
      [ "4. Adding a Standard Filter", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#intern_filters", [
        [ "Adding a New Standard Filter", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md266", [
          [ "Build Changes", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md267", [
            [ "Configure.ac", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md268", null ],
            [ "Makefile.am", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md269", null ],
            [ "CMakeLists.txt", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md270", null ]
          ] ],
          [ "Implementation Template", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md271", null ]
        ] ]
      ] ],
      [ "5. Test Interference", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#intern_isolation", [
        [ "Test Isolation", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md272", null ],
        [ "Cloud Test Isolation", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md273", [
          [ "s3cleanup.sh", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md274", null ],
          [ "s3gc.sh", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#autotoc_md275", null ]
        ] ]
      ] ],
      [ "Point of Contact", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2internal.html#intern_poc", null ]
    ] ],
    [ "Internal Dispatch Table Architecture", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html", [
      [ "Internal Dispatch Table Architecture", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md276", null ],
      [ "Introduction", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#dispatch_intro", null ],
      [ "Adding a New Dispatch Table", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md277", [
        [ "Defining configure.ac flags", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md278", null ],
        [ "Defining a \"name space\"", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md279", null ],
        [ "Extend include/netcdf.h", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md280", null ],
        [ "Extend include/ncdispatch.h", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md281", null ],
        [ "Define the dispatch table functions", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md282", null ],
        [ "Adding the dispatch code to libnetcdf", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md283", null ],
        [ "Extend library initialization", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md284", null ],
        [ "Testing the new dispatch table", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md285", null ]
      ] ],
      [ "Top-Level build of the dispatch code", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md286", null ],
      [ "Choosing a Dispatch Table", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md287", null ],
      [ "Special Dispatch Table Signatures.", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md288", [
        [ "Create/Open", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md289", null ],
        [ "Accessing Data with put_vara() and get_vara()", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md290", null ],
        [ "Accessing Attributes with put_attr() and get_attr()", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md291", null ],
        [ "Pre-defined Dispatch Functions", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md292", null ],
        [ "Inquiry Functions", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md293", null ],
        [ "NCDEFAULT get/put Functions", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md294", null ],
        [ "Read-Only Functions", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md295", null ],
        [ "Classic NetCDF Only Functions", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md296", null ]
      ] ],
      [ "Appendix A. HDF4 Dispatch Layer as a Simple Example", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md297", [
        [ "Header File Changes", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md298", [
          [ "The netcdf.h File", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md299", null ],
          [ "The ncdispatch.h File", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md300", null ],
          [ "The netcdf_meta.h File", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md301", null ],
          [ "The hdf4dispatch.h File", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md302", null ],
          [ "Initialization Code Changes in liblib Directory", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md303", null ],
          [ "Changes to libdispatch/dfile.c", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md304", null ],
          [ "Dispatch Table in libhdf4/hdf4dispatch.c", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md305", null ],
          [ "HDF4 Reading Code", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md306", null ]
        ] ]
      ] ],
      [ "Appendix A. Changing NC_DISPATCH_VERSION", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md307", [
        [ "NC_DISPATCH_VERSION Incompatibility", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md308", null ]
      ] ],
      [ "Appendix B. Inferring the Dispatch Table", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md309", null ],
      [ "Point of Contact", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#dispatch_poc", null ]
    ] ],
    [ "Lossy Compression with Quantize", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html", [
      [ "Introduction", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#quantize", null ],
      [ "The Quantize Feature", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#autotoc_md340", null ],
      [ "Quantization Algorithms", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#autotoc_md341", [
        [ "Bit Grooming", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#autotoc_md342", null ],
        [ "Granular Bit Round", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#autotoc_md343", null ],
        [ "Bit Round", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#autotoc_md344", null ]
      ] ],
      [ "Quantize Attribute", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#autotoc_md345", null ],
      [ "Handling of Fill Values", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#autotoc_md346", null ],
      [ "Distortions Introduced by Lossy Compression", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#autotoc_md347", null ],
      [ "Using the Quantize Feature", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#autotoc_md348", [
        [ "Using Quantize with the NetCDF C API", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#autotoc_md349", null ],
        [ "Using Quantize with the NetCDF Fortran 90 API", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#autotoc_md350", null ],
        [ "Using Quantize with the NetCDF Fortran 77 API", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#autotoc_md351", null ]
      ] ],
      [ "Performance", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#autotoc_md352", null ],
      [ "References", "md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2quantize.html#autotoc_md353", null ]
    ] ],
    [ "Appendix A: Attribute Conventions", "attribute_conventions.html", [
      [ "Conventions", "attribute_conventions.html#autotoc_md354", null ],
      [ "Provenance Attributes", "attribute_conventions.html#autotoc_md355", null ]
    ] ],
    [ "Appendix B. File Format Specifications", "file_format_specifications.html", [
      [ "The NetCDF Classic Format Specification", "file_format_specifications.html#classic_format_spec", null ],
      [ "Notes on Computing File Offsets", "file_format_specifications.html#computing_offsets", [
        [ "Examples", "file_format_specifications.html#offset_examples", null ]
      ] ],
      [ "The 64-bit Offset Format", "file_format_specifications.html#offset_format_spec", null ],
      [ "The NetCDF-4 Format", "file_format_specifications.html#netcdf_4_spec", [
        [ "Creation Order", "file_format_specifications.html#creation_order", null ],
        [ "Groups", "file_format_specifications.html#groups_spec", null ],
        [ "Dimensions with HDF5 Dimension Scales", "file_format_specifications.html#dims_spec", null ],
        [ "Dimensions without HDF5 Dimension Scales", "file_format_specifications.html#dim_spec2", null ],
        [ "Dimension and Coordinate Variable Ordering", "file_format_specifications.html#dim_spec3", null ],
        [ "Variables", "file_format_specifications.html#vars_spec", null ],
        [ "Attributes", "file_format_specifications.html#atts_spec", null ],
        [ "User-Defined Data Types", "file_format_specifications.html#user_defined_spec", null ],
        [ "Compression", "file_format_specifications.html#compression_spec", null ]
      ] ],
      [ "The NetCDF-4 Classic Model Format", "file_format_specifications.html#netcdf_4_classic_spec", null ],
      [ "HDF4 SD Format", "file_format_specifications.html#hdf4_sd_format", null ]
    ] ],
    [ "Appendix C. NetCDF Error Code Listing", "nc-error-codes.html", [
      [ "NetCDF-3 Error Codes", "nc-error-codes.html#nc3-error-codes", null ],
      [ "DAP Error Codes", "nc-error-codes.html#dap-error-codes", null ],
      [ "Misc. additional errors", "nc-error-codes.html#autotoc_md356", null ],
      [ "NetCDF-4 Error Codes", "nc-error-codes.html#nc4-error-codes", null ],
      [ "PnetCDF Error Codes", "nc-error-codes.html#pnetcdf-error-codes", null ]
    ] ],
    [ "Appendix D. NetCDF-4 Filter Support", "filters.html", [
      [ "Filters Overview", "filters.html#filters_overview", null ],
      [ "Introduction to Filters", "filters.html#filters_introduction", null ],
      [ "A Warning on Backward Compatibility", "filters.html#filters_compatibility", null ],
      [ "Enabling A HDF5 Compression Filter", "filters.html#filters_enable", null ],
      [ "Using The API", "filters.html#filters_API", [
        [ "nc_def_var_filter", "filters.html#autotoc_md357", null ],
        [ "nc_inq_var_filter_ids", "filters.html#autotoc_md358", null ],
        [ "nc_inq_var_filter_info", "filters.html#autotoc_md359", null ],
        [ "nc_inq_var_filter", "filters.html#autotoc_md360", null ]
      ] ],
      [ "Using ncgen", "filters.html#filters_NCGEN", [
        [ "Example CDL File (Data elided)", "filters.html#autotoc_md361", null ]
      ] ],
      [ "Using nccopy", "filters.html#filters_NCCOPY", null ],
      [ "Filter Specification Syntax", "filters.html#filters_syntax", null ],
      [ "Dynamic Loading Process", "filters.html#filters_Process", [
        [ "Plugin directory", "filters.html#filters_plugindir", null ],
        [ "Plugin Library Naming", "filters.html#filters_Pluginlib", null ],
        [ "Plugin Verification", "filters.html#filters_Pluginverify", null ]
      ] ],
      [ "NCZarr Filter Support", "filters.html#filters_nczarr", [
        [ "Processing Overview", "filters.html#autotoc_md362", [
          [ "Step 1: Invoking nc_def_var_filter", "filters.html#autotoc_md363", null ],
          [ "Step 1a: Reading metadata", "filters.html#autotoc_md364", null ],
          [ "Step 2: Convert visible parameters to working parameters", "filters.html#autotoc_md365", null ],
          [ "Step 3: Invoking the filter", "filters.html#autotoc_md366", null ],
          [ "Step 4: Closing the dataset", "filters.html#autotoc_md367", null ]
        ] ],
        [ "Client API", "filters.html#autotoc_md368", null ],
        [ "Special Codecs Attribute", "filters.html#autotoc_md369", null ],
        [ "Pre-Processing Filter Libraries", "filters.html#autotoc_md370", null ],
        [ "Using Plugin Libraries", "filters.html#autotoc_md371", null ],
        [ "Filter Defaults Library", "filters.html#autotoc_md372", null ],
        [ "Using the Codec API", "filters.html#autotoc_md373", [
          [ "Writing an NCZarr Container", "filters.html#autotoc_md374", null ],
          [ "Reading an NCZarr Container", "filters.html#autotoc_md375", null ]
        ] ],
        [ "Supporting Filter Chains", "filters.html#autotoc_md376", null ],
        [ "Extensions", "filters.html#autotoc_md377", null ],
        [ "Using The NetCDF-C Plugins", "filters.html#autotoc_md378", null ]
      ] ],
      [ "Lossy One-Way Filters", "filters.html#autotoc_md379", [
        [ "Distortions introduced by lossy filters", "filters.html#autotoc_md380", null ]
      ] ],
      [ "Debugging", "filters.html#filters_debug", [
        [ "Test Cases", "filters.html#filters_TestCase", [
          [ "HDF5 Example", "filters.html#filters_Example", null ]
        ] ],
        [ "Notes", "filters.html#autotoc_md381", [
          [ "Order of Invocation for Multiple Filters", "filters.html#autotoc_md382", null ],
          [ "Memory Allocation Issues", "filters.html#autotoc_md383", null ],
          [ "SZIP Issues", "filters.html#autotoc_md384", null ],
          [ "Supported Systems", "filters.html#autotoc_md385", null ],
          [ "Generic Plugin Build", "filters.html#autotoc_md386", null ]
        ] ],
        [ "References", "filters.html#filters_References", null ],
        [ "Appendix A. HDF5 Parameter Encode/Decode", "filters.html#filters_appendixa", [
          [ "Encoding Algorithms for HDF5", "filters.html#autotoc_md387", [
            [ "Encoding", "filters.html#autotoc_md388", null ],
            [ "Decoding", "filters.html#autotoc_md389", null ]
          ] ]
        ] ],
        [ "Appendix B. Support Utilities", "filters.html#filters_appendixb", null ],
        [ "Appendix C. Build Flags for Detecting the Filter Mechanism", "filters.html#filters_appendixc", null ],
        [ "Appendix D. BNF for Specifying Filters in Utilities", "filters.html#filters_appendixd", null ],
        [ "Appendix E. Codec API", "filters.html#filters_appendixe", [
          [ "The Codec Plugin API", "filters.html#autotoc_md390", [
            [ "NCZ_get_codec_info", "filters.html#autotoc_md391", null ],
            [ "NCZ_codec_t", "filters.html#autotoc_md393", null ],
            [ "NCZ_codec_to_hdf5", "filters.html#autotoc_md394", null ],
            [ "NCZ_hdf5_to_codec", "filters.html#autotoc_md397", null ],
            [ "NCZ_modify_parameters", "filters.html#autotoc_md400", null ],
            [ "NCZ_codec_initialize", "filters.html#autotoc_md403", null ],
            [ "NCZ_codec_finalize", "filters.html#autotoc_md405", null ]
          ] ],
          [ "Multi-Codec API", "filters.html#autotoc_md407", [
            [ "NCZ_codec_info_defaults", "filters.html#autotoc_md408", null ]
          ] ]
        ] ],
        [ "Appendix F. Standard Filters", "filters.html#filters_appendixf", null ],
        [ "Appendix G. Finding Filter Implementations", "filters.html#filters_appendixg", null ],
        [ "Appendix H. Auto-Install of Filter Wrappers", "filters.html#filters_appendixh", null ],
        [ "Appendix I. A Warning on Backward Compatibility", "filters.html#filters_appendixi", null ],
        [ "History", "filters.html#filters_history", null ]
      ] ]
    ] ],
    [ "Appendix D.1. NetCDF-4 Filter QuickStart", "nc_filters_quickstart.html", [
      [ "Building and Installing the Interface Libraries", "nc_filters_quickstart.html#nc_filters_qs_building", [
        [ "Configuring", "nc_filters_quickstart.html#autotoc_md410", null ]
      ] ],
      [ "Using the Interface Libraries at Run-time", "nc_filters_quickstart.html#nc_filters_qs_runtime", null ],
      [ "Example Workflow (blosc)", "nc_filters_quickstart.html#nc_filters_qs_workflow_example", null ]
    ] ],
    [ "Appendix E. NetCDF-4 Plugin Path Support", "pluginpaths.html", [
      [ "Plugin Path Overview", "pluginpaths.html#pluginpaths_overview", null ],
      [ "Discovering a Specific Plugin at Run-Time", "pluginpaths.html#autotoc_md411", null ],
      [ "Programmatic Management of the Plugin Path", "pluginpaths.html#autotoc_md412", null ],
      [ "Installing Plugins at Build-Time", "pluginpaths.html#autotoc_md413", null ],
      [ "Build-Time Operations", "pluginpaths.html#autotoc_md414", null ],
      [ "Run-Time Operations", "pluginpaths.html#autotoc_md415", null ],
      [ "Multi-Threaded Access to the Plugin Path.", "pluginpaths.html#autotoc_md416", null ],
      [ "Internal Architecture", "pluginpaths.html#autotoc_md417", null ],
      [ "Appendix E.1. Programmatic Plugin Path API", "pluginpaths.html#pluginpath_appendixe1", null ],
      [ "History", "pluginpaths.html#pluginpath_history", null ]
    ] ],
    [ "Appendix F. Specifying Paths for NetCDF-C QuickStart", "nc_paths_quickstart.html", [
      [ "Classification of Paths", "nc_paths_quickstart.html#nc_paths_kinds", [
        [ "File System Paths", "nc_paths_quickstart.html#qpaths_filesystem", null ]
      ] ],
      [ "Uniform Resource Locator (URL) Paths", "nc_paths_quickstart.html#qpaths_url", [
        [ "Examples of URL Paths for NetCDF-C", "nc_paths_quickstart.html#autotoc_md418", null ]
      ] ],
      [ "Addendum A. Amazon S3 Specific URLS", "nc_paths_quickstart.html#nc_paths_s3_urls", null ],
      [ "Addendum B. Known Fragment Keys", "nc_paths_quickstart.html#nc_paths_frag_keys", null ]
    ] ],
    [ "Appendix G. Environment Variables and .RC files QuickStart", "nc_env_quickstart.html", [
      [ "Environment Variables", "nc_env_quickstart.html#nc_env_vars", null ],
      [ "Resource Control (.rc) Files", "nc_env_quickstart.html#nc_env_rc", [
        [ "Locating The _.rc_ Files", "nc_env_quickstart.html#autotoc_md419", null ],
        [ "Search Order", "nc_env_quickstart.html#autotoc_md420", null ],
        [ "RC File Format", "nc_env_quickstart.html#autotoc_md421", null ],
        [ "URL Constrained RC File Entries", "nc_env_quickstart.html#autotoc_md422", null ],
        [ "Programmatic Access to .rc File", "nc_env_quickstart.html#autotoc_md423", null ],
        [ "Defined .rc file keys", "nc_env_quickstart.html#autotoc_md424", null ]
      ] ],
      [ "History", "nc_env_quickstart.html#nc_env_history", null ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Files", "files.html", [
      [ "Source Files", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"RELEASE_NOTES.html",
"faq.html#To-read-compressed-data-what-changes-do-I-need-to-make-to-my-netCDF-3-program",
"md__2build_2reproducible-path_2netcdf-4_89_83_2docs_2dispatch.html#autotoc_md302",
"netcdf_8h.html#a2daa4e9eec734e2839a114d2cc704373",
"netcdf_apis.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';